#include "priorityschedulingmanager.h"


void PrioritySchedulingManager::insertTopTask(int pid, int topType, int topPrio, int topSlice, int topTypeByTgid)
{
    m_daemonDbus.insertTopTask(pid, topType, topPrio, topSlice, topTypeByTgid);
}

void PrioritySchedulingManager::eraseTopTask(int pid)
{
    m_daemonDbus.eraseTopTask(pid);
}

void PrioritySchedulingManager::enable()
{
    m_daemonDbus.enable();
}

void PrioritySchedulingManager::disable()
{
    m_daemonDbus.disable();
}

void PrioritySchedulingManager::clearTopList()
{
    m_daemonDbus.clearTopList();
}